Bug 220858 - security/libgcrypt: update to 1.8.0
Summary: security/libgcrypt: update to 1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-07-19 17:00 UTC by Carlos J. Puga Medina
Modified: 2017-07-23 16:10 UTC (History)
1 user (show)

See Also:
cpm: exp-run?
cpm: merge-quarterly+


Attachments
patch-libgcrypt-1.8.0 (1.57 KB, patch)
2017-07-19 17:00 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-07-19 17:00:34 UTC
Created attachment 184506 [details]
patch-libgcrypt-1.8.0

- Update libgcrypt to 1.8.0
- Update libgpg-error version required to 1.25
- Bump library version in pkg-plist

Changes: https://lists.gnupg.org/pipermail/gnupg-announce/2017q3/000410.html
Binary compatibility report: https://abi-laboratory.pro/tracker/compat_report/libgcrypt/1.7.8/1.8.0/d9ddd/abi_compat_report.html
Comment 1 Antoine Brodin freebsd_committer 2017-07-21 10:01:41 UTC
Limited exp-run looks fine.
Comment 2 commit-hook freebsd_committer 2017-07-21 10:56:57 UTC
A commit references this bug:

Author: cpm
Date: Fri Jul 21 10:56:17 UTC 2017
New revision: 446306
URL: https://svnweb.freebsd.org/changeset/ports/446306

Log:
  security/libgcrypt: update to 1.8.0

  - Update libgcrypt to 1.8.0
  - Update libgpg-error version required to 1.25
  - Bump library version in pkg-plist

  Changes: https://lists.gnupg.org/pipermail/gnupg-announce/2017q3/000410.html
  Binary compatibility report: https://abi-laboratory.pro/tracker/compat_report/libgcrypt/1.7.8/1.8.0/d9ddd/abi_compat_report.html

  PR:		220858
  MFH:		2017Q3
  Exp-run by:	antoine

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/pkg-plist
Comment 3 commit-hook freebsd_committer 2017-07-23 16:09:00 UTC
A commit references this bug:

Author: cpm
Date: Sun Jul 23 16:08:00 UTC 2017
New revision: 446494
URL: https://svnweb.freebsd.org/changeset/ports/446494

Log:
  MFH: r446306

  security/libgcrypt: update to 1.8.0

  - Update libgcrypt to 1.8.0
  - Update libgpg-error version required to 1.25
  - Bump library version in pkg-plist

  Changes: https://lists.gnupg.org/pipermail/gnupg-announce/2017q3/000410.html
  Binary compatibility report: https://abi-laboratory.pro/tracker/compat_report/libgcrypt/1.7.8/1.8.0/d9ddd/abi_compat_report.html

  PR:		220858
  Exp-run by:	antoine

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/security/libgcrypt/Makefile
  branches/2017Q3/security/libgcrypt/distinfo
  branches/2017Q3/security/libgcrypt/pkg-plist
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-07-23 16:10:49 UTC
Thanks antoine.